Last Comment Bug 775817 - Update tests to use the new permission manager api
: Update tests to use the new permission manager api
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla17
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 769583
Blocks: app-data-jars
  Show dependency treegraph
 
Reported: 2012-07-19 19:25 PDT by Mounir Lamouri (:mounir)
Modified: 2012-09-01 08:01 PDT (History)
2 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (65.74 KB, patch)
2012-07-19 19:26 PDT, Mounir Lamouri (:mounir)
jonas: review+
mounir: checkin+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2012-07-19 19:25:40 PDT
This patch should updates [nearly] all tests using the permission manager. Tests that this patch are not updating are:
- tests using SpecialPowers (there are a couple of them), see bug 775815;
- tests using Services.perms;
- tests I missed.

I will try to write a new patch for the second category.
Comment 1 Mounir Lamouri (:mounir) 2012-07-19 19:26:20 PDT
Created attachment 644138 [details] [diff] [review]
Patch
Comment 2 Jonas Sicking (:sicking) 2012-07-20 11:43:11 PDT
Comment on attachment 644138 [details] [diff] [review]
Patch

Review of attachment 644138 [details] [diff] [review]:
-----------------------------------------------------------------

r=me with that fixed.

::: netwerk/test/unit/test_fallback_request-error_passing.js
@@ +69,5 @@
>    var pm = Cc["@mozilla.org/permissionmanager;1"]
>      .getService(Ci.nsIPermissionManager);
>    var uri = make_uri("http://localhost:4444");
> +  var principal = CC["@mozilla.org/scriptsecuritymanager;1"]
> +                    .getService(Ci.nsIScriptSecurityManager)

All of these, change to just Services.perms
Comment 3 Mounir Lamouri (:mounir) 2012-07-23 11:10:13 PDT
This is not updating all tests but quite most of them. We will open new bugs for the others.
Comment 4 Ed Morley [:emorley] 2012-07-24 03:01:56 PDT
https://hg.mozilla.org/mozilla-central/rev/0ff084e6a9e3

Note You need to log in before you can comment on or make changes to this bug.